"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.jobTypeDef = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
exports.jobTypeDef = graphql_tag_1.default `
  enum JobStatus {
    completed
    waiting
    active
    delayed
    failed
    paused
  }
  enum JobStatusClean {
    completed
    wait
    active
    delayed
    failed
    paused
  }
  type JobLogs {
    count: Int!
    logs: [String]!
  }
  type Job {
    id: ID!
    name: String!
    data: String
    status: JobStatus!
    returnValue: String
    progress: Int!
    attemptsMade: Int!
    failedReason: String
    stacktrace: [String]!
    logs: JobLogs
    delay: Float
    timestamp: Float!
    finishedOn: Float
    processedOn: Float
    opts: String!
  }
`;
//# sourceMappingURL=job.js.map